Bug 856631 - segfault in IA__g_type_check_instance_is_a when dealing with expired tickets
segfault in IA__g_type_check_instance_is_a when dealing with expired tickets
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: krb5-auth-dialog (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: beta
: ---
Assigned To: Alexander Larsson
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 09:30 EDT by David Jaša
Modified: 2017-09-14 07:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace by abrt (22.86 KB, text/plain)
2012-09-12 09:30 EDT, David Jaša
no flags Details

  None (edit)
Description David Jaša 2012-09-12 09:30:40 EDT
Created attachment 612105 [details]
backtrace by abrt

Description of problem:
krb5-auth-dialog started to throw some error when I click its icon after the credentials expired (not reported yet). When I try to "Remove credentials cache", the dialog segfaults.

I use these debugging variables on my system:
export MALLOC_CHECK_=1
export MALLOC_PERTURB_=$(($RANDOM % 255 + 1))
export G_SLICE=always-malloc,debug-blocks

Version-Release number of selected component (if applicable):
# rpm -qa '*krb5*'
krb5-devel-1.9-33.el6_3.2.x86_64
krb5-auth-dialog-0.13-3.el6.x86_64
krb5-libs-1.9-33.el6_3.2.x86_64
krb5-auth-dialog-debuginfo-0.13-3.el6.x86_64
krb5-debuginfo-1.9-33.el6_3.2.x86_64
krb5-workstation-1.9-33.el6_3.2.x86_64
pam_krb5-2.3.11-9.el6.x86_64


How reproducible:
often (didn't have enough attempts to say "always")

Steps to Reproduce:
1. wait for tickets expiry
2. try to remove them by right-click -> remove credentials cache
3.
  
Actual results:
segfault

Expected results:
krb5-auth-dialog removes tickets successfully

Additional info:
/var/log/messages:
Sep 11 10:05:17 dhcp-29-7 kernel: krb5-auth-dialo[25600] general protection ip:3ee8c26170 sp:7fff0ed82c90 error:0 in libgobject-2.0.so.0.2200.5[3ee8c00000+43000]
...
Sep 12 10:40:46 dhcp-29-7 kernel: krb5-auth-dialo[17412]: segfault at 80101046c ip 0000003fd00824f6 sp 00007fff23320220 error 4 in libgtk-x11-2.0.so.0.1800.9[3fcfe00000+459000]


Top of the backtrace:
Program terminated with signal 11, Segmentation fault.
#0  IA__g_type_check_instance_is_a (type_instance=0x1b49930, iface_type=<value optimized out>) at gtype.c:3697
3697	  check = node && node->is_instantiatable && iface && type_node_conforms_to_U (node, iface, TRUE, FALSE);

Thread 1 (Thread 0x7f2bde58f940 (LWP 25600)):
#0  IA__g_type_check_instance_is_a (type_instance=0x1b49930, iface_type=<value optimized out>) at gtype.c:3697
        node = 0x700000000000090
        iface = 0x1a174d0
        check = 28507808
#1  0x0000003eef682506 in IA__gtk_widget_destroy (widget=0x1b49930) at gtkwidget.c:2964
        __inst = 0x1b49930
        __t = <value optimized out>
        __r = <value optimized out>
        _g_boolean_var_ = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_widget_destroy"
#2  0x00000000004085ec in ka_grab_credentials (applet=0x1a5ddb0) at krb5-auth-dialog.c:1007
        errmsg = 0x1be78e0 "Nep\305\231\303\255pustn\303\275 argument"
        retval = <value optimized out>
        success = 0
        pwdialog = 0x1a92f00
#3  0x0000000000409c0c in ka_tray_icon_on_click (status_icon=<value optimized out>, data=0x1a5ddb0) at krb5-auth-applet.c:759
        applet = <value optimized out>
Comment 1 David Jaša 2012-09-12 09:31:33 EDT
assinging to the right component.
Comment 2 RHEL Product and Program Management 2012-09-12 09:39:27 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 3 David Jaša 2012-09-14 14:33:08 EDT
(In reply to comment #0)
...
> krb5-auth-dialog started to throw some error when I click its icon after the
> credentials expired (not reported yet).

The error in question says "Couldn't acquire kerberos ticket: 'Illegal argument'" and the whole bug somehow related with connection changes and/or suspend, when the credentials expired on the same network, the error didn't occur.
Comment 4 David Jaša 2012-09-14 14:37:02 EDT
One more observation: when the error is popped-up, no traffic is on kerberos ports.
Comment 5 David Jaša 2013-02-06 09:50:27 EST
I finally found when this occurs: when the DNS return NXDOMAIN or non-A/non-AAAA records for kerberos servers. krb5-auth-dialog then pops up error window with "Invalid argument" message, or it crashes right away with backtrace above.

Note You need to log in before you can comment on or make changes to this bug.